/*
Theme Name: NPWEB
Template: twentytwentyone
*/


:root {
	--bg:			#f8f5f0;
	--parchment:		#f5f1ea;
	--brown:		#574028;
	--beigebrown:		#897867;
	--lightgrayblue:	#c8d2d4;
	--mediumgrayblue:	#b0bec1;
	--grayblue:		#898f94;
	--darkgrayblue:		#58626a;

	/*--responsive--aligndefault-width: min(calc(100vw - 8 * 25px), var(--content-max-width)) !important;*/
	--header-height: unset;

	--left-margin: 65px; /* Ska vara 56px? */
	--right-margin: 50px; /* Ska vara 59px? */
        --npweb--standard-space-large: calc(var(--left-margin) + var(--right-margin));

        --left-column-width: min(350px, var(--responsive--aligndefault-width));

	--content-max-width: 1920px;
	/*--content-max-width: 1728px;*/
	/*--responsive--alignfull-width: min(100vw, var(--content-max-width)) !important;*/
	--responsive--alignfull-width: 100vw;
	--responsive--alignwide-width: min(calc(100vw - var(--left-margin) - var(--right-margin)), var(--content-max-width)) !important;
	--responsive--aligndefault-width: var(--responsive--alignwide-width) !important;

	--global--spacing-vertical: 22px !important;

        --npweb--standard-font-size: 20px;
        --npweb--standard-line-height: 30px;

	--npweb-heading--font-size-h4: 17px ;
	--npweb-heading--font-size-h3: 33px ;
	--npweb-heading--font-size-h2: 5vw ;
	--npweb-heading--font-size-h1: 5vw ;
	--npweb-heading--line-height-h4: 27px ;
	--npweb-heading--line-height-h3: 53px ;
	--npweb-heading--line-height-h2: 5.2vw ;
	--npweb-heading--line-height-h1: 5.2vw ;
	--npweb-heading--letter-spacing-h4: 6% ;
	--npweb-heading--letter-spacing-h3: 8% ;

	--wp--preset--spacing--20: 1rem;
	--wp--preset--spacing--30: 2.5rem;
	--wp--preset--spacing--40: 3.95rem;
	--wp--preset--spacing--50: 5.75rem;
	--wp--preset--spacing--60: 6.95rem;
	--wp--preset--spacing--70: 7.5rem;
	--wp--preset--spacing--80: 9rem;
}

@media (min-width: 540px) and (max-width: 899px) {
	:root {
                --npweb--standard-font-size: 2.222vw;
                --npweb--standard-line-height: 3.333vw;

		--npweb-heading--font-size-h4: 1.889vw;
		--npweb-heading--font-size-h3: 3.667vw;
		--npweb-heading--line-height-h4: 3vw;
		--npweb-heading--line-height-h3: 5.889vw;
	}
}
@media (max-width: 539px) {
	:root {
                --npweb--standard-font-size: 12px;
                --npweb--standard-line-height: 18px;

		--npweb-heading--font-size-h4: 10.2px;
		--npweb-heading--font-size-h3: 19.8px;
		--npweb-heading--font-size-h2: 27px;
		--npweb-heading--font-size-h1: 27px;
		--npweb-heading--line-height-h4: 16.2px;
		--npweb-heading--line-height-h3: 31.8px;
		--npweb-heading--line-height-h2: 28.08px;
		--npweb-heading--line-height-h1: 28.08px;

		--wp--preset--spacing--20: calc(1rem * 0.5);
		--wp--preset--spacing--30: calc(2.5rem * 0.5);
		--wp--preset--spacing--40: calc(3.95rem * 0.5);
		--wp--preset--spacing--50: calc(5.75rem * 0.5);
		--wp--preset--spacing--60: calc(6.95rem * 0.5);
		--wp--preset--spacing--70: calc(7.5rem * 0.5);
		--wp--preset--spacing--80: calc(9rem * 0.5);
	}
}
@media (max-width: 481px) {
	:root {
               --left-margin: 25px;
               --right-margin: 25px;
	}
}
/*
@media (max-width: 400px) {
	:root {
               --left-margin: 10px;
               --right-margin: 10px;
	}
}
*/

body {
  font-size: var(--npweb--standard-font-size) !important;
}

.entry-content {
  /*
  margin-left: var(--left-margin) !important;
  margin-right: var(--right-margin) !important;
  */
  margin-left: 0 !important;
  margin-right: 0 !important;
}

/* Rubrik 1, så som den definieras i figma, används endast till framsidan.
 * Alla andra sidor har Rubrik 2 som huvudtitel, men bör ha h1.
 */
h1 { /* Rubrik 1 */
  font-family: SaolDisplayRegular;
  font-size: var(--npweb-heading--font-size-h1) !important;
  line-height: var(--npweb-heading--line-height-h1) !important;
}

h2 { /* Rubrik 2 */
  font-family: SaolDisplayRegular;
  font-size: var(--npweb-heading--font-size-h2) !important;
  line-height: var(--npweb-heading--line-height-h2) !important;
}
h2.tiny-h2 {
  font-size: min(var(--npweb-heading--font-size-h2), 30px) !important;
  line-height: min(var(--npweb-heading--line-height-h2), 36px) !important;
}

h3 { /* Mellanrubrik 1 */
  font-family: SackersGothicStdHeavy !important;
  font-size: var(--npweb-heading--font-size-h3) !important;
  line-height: var(--npweb-heading--line-height-h3) !important;
  letter-spacing: 8% !important;
  text-transform: uppercase;
}

h3.smaller-h3 {
  font-family: SackersGothicStdHeavy !important;
  font-size: min(var(--npweb-heading--font-size-h3), 25px) !important;
  letter-spacing: 8% !important;
  text-transform: uppercase;
}
h4,
.middle-header-two,
.coworker-name,
.author-name,
.section-label,
.news-category { /* Mellanrubrik 2 */
  font-family: SackersGothicStdHeavy !important;
  font-size: var(--npweb-heading--font-size-h4) !important;
  line-height: var(--npweb-heading--line-height-h4) !important;
  letter-spacing: 6% !important;
  text-transform: uppercase;
  a {
    text-decoration: none;
  }
}

.coworker-name,
.author-name {
  margin-bottom: 0 !important;
}
.name-subtitle {
  font-family: CentraNo1Book;
  font-size: var(--npweb--standard-font-size);
  display: list-item;
  margin-top: 0 !important;
  margin-left: 10px !important;
  padding-left: 30px;
}
.name-subtitle::marker {
  content: '/';
}

.opening-paragraph {
  font-family: SaolDisplayRegular !important;
  font-size: var(--npweb-heading--font-size-h3) !important;
  line-height: var(--npweb-heading--line-height-h3) !important;
  letter-spacing: 1%;
}
.body-paragraph {
  font-family: CentraNo1Book;
  font-size: var(--npweb--standard-font-size) !important;
  line-height: var(--npweb--standard-line-height) !important;
  letter-spacing: 1%;
}

.np-button,
.read-more { /* Text CTA */
  font-family: CentraNo1Medium !important;
  font-size: var(--npweb--standard-font-size) !important;
  line-height: var(--npweb--standard-line-height) !important;
  text-transform: uppercase;
  letter-spacing: 15%;
  a {
    text-underline-offset: 4px;
  }
}
@media (min-width: 600px) {
  .np-button, .read-more {
    a {
      text-decoration-thickness: 2px;
      text-underline-offset: 7px;
    }
  }
}
.np-button {
  background-color: black;
  color: var(--bg);
  border-radius: 20px;
  margin: 0 !important;
  padding-top: 7px;
  padding-left: 21px;
  padding-right: 21px;
  padding-bottom: 7px;
  font-family: CentraNo1Medium;
  text-decoration: none;
  :hover {
    text-decoration: none;
  }
}

/*
.news-read-more {
  font-weight: 500;
  text-transform: uppercase;
}
*/
.has-bullet {
  margin-left: 13px !important;
  padding-left: 8px;
  display: list-item;
}

.has-bullet.section-label {
  width: calc(var(--left-column-width) - 13px);
  min-width: calc(var(--left-column-width) - 13px);
}
@media (max-width: 1199px) {
  .has-bullet.section-label {
    width: unset;
    min-width: unset;
  }
}

.has-bullet::marker {
  font-family: SackersGothicStdHeavy !important;

}
.featured-news-nocover,
.featured-news {
  margin-top: var(--npweb--standard-space-large) !important;
  margin-bottom: var(--npweb--standard-space-large) !important;
}
.coworker-info,
.author-info {
  min-width: 280px;
  margin-top: 2rem;
  h4 {
    text-transform: uppercase;
    font-family: SackersGothicStd;
    font-size: var(--global--font-size-xs);
    font-weight: 500;
  }
}
:root {
  --latest-news--cols: 3;
  --latest-news--rows: 2;
}
.latest-news {
  margin-bottom: var(--npweb--standard-space-large) !important;
  ul {
    display: flex;
    flex-wrap: wrap;
    word-wrap: break-word;
    word-break: break-word;
    margin-bottom: 65px;
    li {
      width: calc(100% / var(--latest-news--cols) + 1px);
      height: calc(var(--responsive--aligndefault-width) / var(--latest-news--cols) + 1px);
      border: 1px solid black;
      box-sizing:  border-box;
      margin-right: -1px;
      margin-bottom: -1px;
      padding: 40px;
      display: grid;
      .news-category {
        margin-right: auto;
      }
      .read-more {
        display: flex;
        align-self: end;
        align-items: center;
        justify-self: end;
        column-gap: 20px;
      }
    }
    li > * {
      margin-top: 0px;
      margin-bottom: 0px;
    }
    li:nth-child(6n+2) {
      background-color: var(--grayblue);
    }
    li:nth-child(6n+4),li:nth-child(6n+6) {
      background-color: var(--beigebrown);
    }
  }
}

.news-grid-title {
  font-family: SaolDisplayRegular !important;
  font-size: 36px !important;
  line-height: 53px !important;
}
@media (max-width: 1499px) {
  .latest-news > ul > li {
    .news-grid-title {
      font-size: 25px !important;
      line-height: 30px !important;
    }
  }
}
@media (max-width: 1199px) {
  .latest-news > ul > li {
    padding: 20px;
  }
}
@media (max-width: 999px) {
  :root {
    --latest-news--cols: 1;
    --latest-news--rows: 6;
  }
  .latest-news > ul > li {
    height: unset;
    min-height: 296px;
  }
}

:root {
  --latest-rentals--cols: 3;
  --latest-rentals--rows: 2;
  --latest-rentals--gap: 75px;
}
.latest-rentals > ul {
  column-gap: var(--latest-rentals--gap);
  row-gap: var(--latest-rentals--gap);
  display: flex;
  flex-wrap: wrap;
  word-wrap: break-word;
  word-break: break-word;
  li {
    width: calc((var(--responsive--aligndefault-width) - var(--latest-rentals--gap) * (var(--latest-rentals--cols) - 1)) / var(--latest-rentals--cols));
  }
}
@media (max-width: 1200px) {
  :root {
    --latest-rentals--cols: 2;
    --latest-rentals--rows: 3;
    --latest-rentals--gap: 40px;
  }
}
@media (max-width: 600px) {
  :root {
    --latest-rentals--cols: 1;
    --latest-rentals--rows: 6;
  }
}

:root {
  --latest-transactions--cols: 3;
  --latest-transactions--rows: 2;
  --latest-transactions--gap: 75px;
}
.latest-transactions > ul {
  column-gap: var(--latest-transactions--gap);
  row-gap: var(--latest-transactions--gap);
  display: flex;
  flex-wrap: wrap;
  word-wrap: break-word;
  word-break: break-word;
  li {
    width: calc((var(--responsive--aligndefault-width) - var(--latest-transactions--gap) * (var(--latest-transactions--cols) - 1)) / var(--latest-transactions--cols));
  }
}
@media (max-width: 1200px) {
  :root {
    --latest-transactions--cols: 2;
    --latest-transactions--rows: 3;
    --latest-transactions--gap: 40px;
  }
}
@media (max-width: 600px) {
  :root {
    --latest-transactions--cols: 1;
    --latest-transactions--rows: 6;
  }
}

.filled-swiper-button {
  position: absolute;
  transition: opacity 0.2s;
  background-color: transparent !important;
  border: none !important;
  border-radius: 31px;
  padding: 0px !important;
}

.filled-swiper-button:disabled {
  opacity: 0.25;
}

@media (max-width: 800px) {
  .opening-paragraph {
    font-family: CentraNo1Medium;
    font-size: var(--global--font-size-md);
  }
}
